package java.awt.dnd.peer;

import java.awt.dnd.InvalidDnDOperationException;
import java.awt.Point;
import java.awt.Image;
import java.awt.Cursor;
import java.awt.dnd.DragSourceContext;

public interface DragSourceContextPeer
{
    public abstract void startDrag(DragSourceContext p0, Cursor p1, Image p2, Point p3) throws InvalidDnDOperationException;
    
    public abstract Cursor getCursor();
    
    public abstract void setCursor(Cursor p0) throws InvalidDnDOperationException;
    
    public abstract void transferablesFlavorsChanged();
}
